Subject: WINE (WINdows Emulator) Frequently Asked Questions
From: [email-masked] (Dave)
Date: Sat, 3 Sep 1994 23:53:22 GMT
Newsgroups: comp.emulators.announce,comp.emulators.ms-windows.wine,comp.os.386bsd.announce,comp.os.linux.announce,comp.windows.x.i386unix,comp.answers,news.answers

Archive-name: windows-emulation/wine-faq
Posting-Frequency: monthly
Last-modified: 30 July 1994 7:30:00 PDT
Version: 2.3

                     Wine Frequently Asked Questions

This is the FAQ (Frequently Asked Questions) for the Wine development
project.  It contains both general and technical information about Wine:
project status, what it is and what it does, how to obtain and configure
and run it, and more.  Please read this FAQ carefully before you post
questions about Wine to Usenet to see if your question is already answered
here first. 

IMPORTANT NOTE:  If you are reading this FAQ and it is September 30, 1994
or later, this document is out of date.  Please get a new one from sources
outlined below. 

ANOTHER IMPORTANT NOTE:  Wine is still ALPHA code, and as such may or may
not work to varying degrees on your system.  Neither the Wine developers
nor the Wine FAQ author or maintainer can be held responsible for any
damage that may be caused to your computer hardware or software by your
obtaining, installing, configuring, operating and/or removing Wine. 

This FAQ will be posted monthly to the following newsgroups: 

	comp.answers
	comp.emulators.announce
	comp.emulators.ms-windows.wine
	comp.os.386bsd.announce
	comp.os.linux.announce
	comp.windows.x.i386unix
	news.answers

and is also available by anonymous ftp from:

	tsx-11.mit.edu:/pub/linux/ALPHA/Wine/Wine.FAQ
	aris.com:/pub/linux/ALPHA/Wine/Wine.FAQ
	ftp.netcom.com:/pub/andrew/Wine/Wine.FAQ

and quite likely most of the other sites around the globe that mirror the
Wine distribution from the Wine project's main distribution site,
tsx-11.mit.edu. 

If you have any suggestions for corrections, changes, expansion or further
clarification of this FAQ, please send them to the Wine FAQ
author/maintainer listed in question 7.2 of this FAQ. 

Here is a list of topics covered in this issue: 

				Section 1
				Overview

1.1	What is Wine, and what is it supposed to do?
1.2	What does the word Wine stand for?
1.3	What is the current version of Wine?
1.4	When will Wine be ready for general distribution?

				Section 2
			 Program Compatibility

2.1	Which MS Windows programs does wine currently run?
2.2	Which MS Windows programs do you expect wine never to be able 
	to run at all, and for what reason(s)?
2.3	Will MS Windows programs typically run faster or slower under 
	Unix and Wine than they do under MS-DOS and MS Windows?  Will 
	certain	kinds of programs run slower or faster?
2.4	Are there any advantages or disadvantages to running MS Windows 
	applications under wine that I should be aware of?
2.5	Will Wine support MS Windows networked applications that use 
	WINSOCK.DLL?
2.6	I'm a software developer who wants to use Unix to develop programs
	rather than MS-DOS, but I need to write MS-DOS and MS Windows 
	programs as well. Will I be able to run my favorite MS-DOS and/or 
	MS Windows compilers under Wine?

				Section 3
		   Hardware/Software Considerations

3.1	Under what hardware platform(s) and operating system(s) will 
	Wine run?
3.2	What minimum CPU must I have on my computer to be able to run 
	Wine and MS Windows applications smoothly?
3.3	How much disk space will the Wine source code and binaries take 
	on my hard drive?
3.4	How much RAM do I need to have on my Unix system to be able to 
	run Wine and MS Windows applications smoothly?
3.5	I have a Doublespaced or Stackered MS-DOS partition.  Can Wine 
	run MS Windows binaries located in such a partition?
3.6	Do I need to have a MS-DOS partition on my system to use Wine?  
	Does MS Windows need to be loaded into that partition in order 
	to run MS Windows programs under Wine?
3.7	If Wine completely replaces MS Windows, will it duplicate all of 
	the functions of MS Windows?
3.8	Will I be able to install MS Windows applications in any Unix 
	filesystem?
3.9	Will Wine run only under X, or can it run in character mode?
3.10	Will Wine run under any X window manager?
3.11	What happens when Chicago/Win4 is released? Will 32-bit Chicago and 
	WinNT applications run under Wine?

				Section 4
		How to Find, Install, Configure and Run Wine

4.1	Where can I get Wine?
4.2	If I do not have an Internet account, how can I get Wine?
4.3	How do I install Wine on my hard drive?
4.4	How do I compile the Wine distribution source code?
4.5	How do I configure Wine to run on my system?
4.6	How do I run an MS Windows program under Wine?
4.7	I have installed and configured Wine, but Wine cannot find MS Windows 
	on my drive.  Where did I go wrong?
4.8	I think I've found a bug.  How do I report this bug to the Wine
	programming team?
4.9	I was able to get various MS Windows programs to run, but their 
	menus do not work.  What is wrong?
4.10	I have run various MS Windows programs but since the program menus 
	do not work, how can I exit these programs?
4.11	How do I remove Wine from my computer?

				Section 5
			     How To Get Help

5.1	Is there a Usenet newsgroup for Wine?
5.2	Is there a gopher site set up for Wine?
5.3	Is there a WWW site set up for Wine information?
5.4	Is there a mailing list for Wine?

				Section 6
			    How You Can Help

6.1	How can I help contribute to the Wine project, and in what way(s)?
6.2	I want to help beta test Wine.  How can I do this?
6.3	I have written some code that I would like to submit to the Wine 
	project. How do I go about doing this?

				Section 7
		      Who is Responsible for Wine

7.1	Who is responsible for writing and maintaining the Wine source code?
7.2	Who is responsible for writing and maintaining the Wine FAQ?
7.3	Who are the folks and organizations who have contributed money or 
	equipment to the Wine project?

And now, the answers to the questions:

				Section 1
				Overview

1.1	What is Wine, and what is it supposed to do?

Wine is both a program loader and an emulation library that will allow
Unix users to run MS Windows applications on an x86 hardware platform
running under some Unixes.  The program loader will load and execute an MS
Windows application binary, while the emulation library will take calls to
MS Windows functions and translate these into calls to Unix/X, so that
equivalent functionality is achieved. 

MS Windows binaries will run directly; there will be no need for machine
level emulation of program instructions.  Sun has reported better
performance with their version of WABI than is actually achieved under MS
Windows, so theoretically the same result is possible under Wine. 

1.2	What does the word Wine stand for?

The word Wine stands for one of two things: WINdows Emulator, or Wine Is
Not an Emulator.  Both are right.  Use whichever one you like best. 

1.3	What is the current version of Wine?

A new version of Wine is distributed weekly, on Tuesday or Wednesday. 

When downloading Wine from your ftp site of choice (see question 4.1 for
some of these choices), you can make sure you are getting the latest
version by watching the version numbers in the distribution filename.  For
instance, the distribution released on June 20, 1994 was called
Wine-940620.tar.gz. 

Weekly patches are also available.  If you are current to the previous
version, you can download and apply just the current patch file rather
than the entire new distribution.  The patch filenames follow the same
conventions as the weekly distribution, so watch those version numbers! 

1.4	When will Wine be ready for general distribution?

Because Wine is being developed solely by volunteers, it is difficult to
predict when it will be ready for general distribution.  Or, as the Little
Old Winemaker says:  There will be no Wine before its time.  About 40
percent of the MS Windows API functions have been ported to Wine at the
current time (2nd quarter, 1994). 

				Section 2
			 Program Compatibility

2.1	Which MS Windows programs does wine currently run?

A number of public domain and shareware games programs found on the ftp
site cica.indiana.edu can run under Wine, to varying degrees of success. 
Since Wine is still under development, programs may break and new programs
may begin to run from week to week, so it is virtually impossible to
publish a complete and accurate list in a monthly document like this FAQ. 

Please see the newsgroup comp.emulators.ms-windows.wine for further
information.  Keep an eye out for posts with the subject 'Wine and
Cica-Games Report #[x]' (replace [x] with a proper version number).  This
list is being maintained by Adriano Azevedo-Filho
<[email-masked]>, and is also available for download on the
tsx-11 site and possibly its mirrors as detailed in question 4.1, as
filename 'WineAndCicaGames.[x].gz' (again, replacing 'x' with the current
version number). 

To the best of my knowledge at the time of this writing, no one is
currently compiling a comprehensive list of commercial MS Windows
applications known to run under Wine.  However, some of the aplets
distributed with MS Windows, such as WINMINE.EXE, SOL.EXE and others, do
run to a certain extent.  If you know of any large commercial programs
that run under Wine, please notify the Wine FAQ author/maintainer as noted
in question 7.2, so that it may be included in the next issue. 

2.2	Which MS Windows programs do you expect Wine never to be able to 
	run at all, and for what reason(s)?

Any MS Windows program that requires a special enhanced mode device driver
(VxD) that cannot be rewritten specifically for Wine, will not run under
Wine. 

2.3	Will MS Windows programs typically run faster or slower under 
	Unix and Wine than they do under MS-DOS and MS Windows?  Will 
	certain kinds of programs run slower or faster?

Programs should typically run at about the same speed under Wine as they
do under MS Windows. 

2.4	Are there any advantages or disadvantages to running MS Windows 
	applications under wine that I should be aware of?

As with OS/2, you will be running 16-bit MS Windows applications in a
32-bit operating system using emulation techniques, so you will have
similar advantages and disadvantages. 

There will be crash protection.  That is, each MS Windows application
running under Wine will be running in its own X window and its own portion
of reserved memory, so that if one MS Windows application crashes, it will
not crash the other MS Windows or Unix applications that you may have
running at the same time. 

Also, MS Windows programs should run at about the same speed under Wine as
they do under MS Windows.  When Wine is finished, you will be able to run
your favorite MS Windows applications in a Unix environment.

However, be aware that any application written for a 16-bit operating
system will run much less efficiently than its 32-bit cousin, so if you
find a 32-bit application that fits your needs, you will be much better
off switching. 

2.5	Will Wine support MS Windows networked applications that use 
	WINSOCK.DLL?

Yes, Wine will support such applications.  You will be able to run MS
Windows applications such as Cello and Mosaic (though there is a 32-bit
Unix version of the latter available now). 

2.6	I'm a software developer who wants to use Unix to develop programs
	rather than MS-DOS, but I need to write MS-DOS and MS Windows 
	programs as well. Will I be able to run my favorite MS-DOS and/or 
	MS Windows compilers under Wine?

DOSEMU, the MS-DOS emulator for Wine, is currently not able to run either
the Microsoft C/C++ or Borland C/C++ compilers because it lacks DPMI
(MS-DOS protected mode interface) support.  Wine is not an MS-DOS
emulator, so it cannot run these compilers either.  Wine is not currently
able to run any MS Windows debuggers, and may not be able to for some
time. 

Wine is being designed to run existing MS Windows applications.  Be aware
too that a custom MS Windows program specifically written to be compatible
with Wine may not work the same as when it is run under MS-DOS and MS
Windows. 

				Section 3
		   Hardware/Software Considerations

3.1	Under what hardware platform(s) and operating system(s) will Wine run?

Wine is being developed specifically to run on the Intel x86 class of CPUs
under certain Unixes that run on the x86 platform.  Unixes currently being
tested for Wine compatibility include Linux, NetBSD and FreeBSD.  The Wine
development team hopes to attract the interest of commercial Unix and Unix
clone vendors as well. 

3.2	What minimum CPU must I have in my computer to be able to run Wine 
	and MS Windows applications smoothly?

Wine is currently being developed specifically for use on Intel x86 CPUs,
and needs a minimum 80386 CPU.  It is known to also work in the 80486 and
Pentium CPUs.  Beyond that, the basic test is, if you can run X11 now, you
should be able to run Wine and MS Windows applications.  As always, the
faster your CPU, the better.  Having a math coprocessor is unimportant. 
However, having a graphics accelerated video card supported by X will help
greatly. 

3.3	How much disk space will the Wine source code and binaries take on 
	my hard drive?

It is anticipated that when Wine is completed, you will need approximately
6-8 megabytes of hard drive space to store and compile the source code,
while the Wine binary currently takes about 800k.  You would have needed
more, but Wine programmers are creating shared libraries to save space and
create a more lean and efficient, and faster running, Wine. 

3.4	How much RAM do I need to have on my Unix system to be able to 
	run Wine and MS Windows applications smoothly?

If you can run X smoothly on your Unix system now, you should be able to
run Wine and MS Windows applications just fine too. A Wine workstation
should realistically have at least 8 megabytes of RAM and a 12 megabyte
swap partition.  More is better, of course. 

3.5	I have a Doublespaced or Stackered MS-DOS partition.  Can Wine 
	run MS Windows binaries located in such a partition?

Only if the operating system supports mounting those types of drives.
Currently, Linux, NetBSD, and FreeBSD do not. 

3.6	Do I need to have a MS-DOS partition on my system to use Wine?  
	Does MS Windows need to be loaded into that partition in order 
	to run MS Windows programs under Wine?

You do not need DOS or MS Windows to install, configure and run Wine. 
However, Wine has to be able to 'see' an MS Windows binary if it is to run
it.  So, currently, you do need to have a DOS partition with MS Windows
installed on your hard drive to use Wine in a practical manner.  Your
Unix OS must be able to 'see' this partition (check your /etc/fstab file
or mount the partition manually) in order for Wine to run MS Windows
binaries in your DOS partition. 

However, when it is finished, Wine will not require that you have a MS-DOS
partition on your system at all, meaning that you will not need to have MS
Windows installed either.  Wine programmers will provide an application
setup program to allow you to install your MS Windows programs straight
from your distribution diskettes into your Unix filesystem, or from within
your Unix filesystem if you ftp an MS Windows program over the Internet. 

3.7	If Wine completely replaces MS Windows, will it duplicate all of 
	the functions of MS Windows?

Most of them, yes.  However, some applications and aplets that come with
MS Windows, such as File Manager and Calculator, can be considered by some
to be redundant, since 32-bit Unix programs that duplicate these functions
already exist. 

3.8	Will I be able to install MS Windows applications in any Unix 
	filesystem?

Wine is written to be filesystem independent, so MS Windows applications
will install and run under any filesystem supported by your brand of Unix. 

3.9	Will Wine run only under X, or can it run in character mode?

Being a GUI (graphical user interface), MS Windows does not have a
character mode, so there will likewise be no character mode for Wine.  You
must run Wine under X. 

3.10	Will Wine run under any X window manager?

Wine is window manager independent, so the X window manager you choose to
run has absolutely no bearing on your ability to run MS Windows programs
under Wine, whether you use mwm (Motif window manager), olwm (OpenLook
window manager), twm (Tab window manager), fvwm (Feeble virtual window
manager), or whatever you choose that is currently supported by X. Wine
uses standard X libraries, so no additional ones are needed. 

3.11	What happens when Chicago/Win4 is released? Will 32-bit Chicago 
	and WinNT applications run under Wine?

Wine developers do eventually plan on supporting Win32s, but such support
is not in the current version of Wine. 

				Section 4
	      How to Find, Install, Configure and Run Wine

4.1	Where can I get Wine?

Wine can now be found on quite a few systems throughout the Internet. 
Here is an incomplete list of some of the systems and their directories in
which to find Wine: 

	tsx-11.mit.edu:/pub/linux/ALPHA/Wine/development
	aris.com:/pub/linux/ALPHA/Wine
	ftp.informatik.rwth-aachen.de:/pub/Linux/local/packs
	ftp.thepoint.com:/linux/ALPHA/wine
	ftp.funet.fi:/pub/OS/Linux/ALPHA/Wine
	ftp.wonderland.org:/Wine 
	ftp.netcom.com:/pub/andrew/Wine

Some of these ftp sites may archive previous versions of Wine as well as
the current one.  To determine which is the latest one, look at the
distribution filename, which will take the form: 

	Wine-[yymmdd].tar.gz

Simply replace [yymmdd] in the distribution filename with the numbers for
year, month and date respectively.  The latest one is the one to get. 

Note that weekly diff patches are now available, so you don't have to
download, install and configure the entire distribution each week if you
are current to the previous release.  Diff releases follow the same
numbering conventions as do the general releases, and take the form: 

	Wine-[yymmdd].diff.gz

Note that any mirror of tsx-11 will likely carry the Wine distribution as
well, and may not be listed here in this FAQ. If you are mirroring the
Wine distribution from the tsx-11 site and wish to be listed here in this
FAQ, please send email to the FAQ author/maintainer listed in question
7.2. 

4.2	If I do not have an Internet account, how can I get Wine?

Sorry, but at this time, you are basically out of luck.  Find a friend
with an Internet account and have him/her ftp the necessary files for you. 

If you are running a BBS that is not connected to the Internet but does
offer the Wine distribution for download to all comers, and would like to
be listed in this FAQ, please forward such information to the FAQ
author/maintainer as listed in question 7.2. 

4.3	How do I install Wine on my hard drive?

Just un-gzip and un-tar the file, and follow the instructions contained in
the README file that will be located in the base Wine directory. 

4.4	How do I compile the Wine distribution source code?
4.5	How do I configure Wine to run on my system?

All of the directions to perform these two steps are located in the README
file that will be located in the base Wine directory after you untar the
distribution file. 

4.6	How do I run an MS Windows program under Wine?

Assuming you are running X already, call up a term window. Then, at the
shell prompt, type: 

	wine [/path/programname]

Another X window will pop up on top of the shell window and the binary
should begin to execute. 

Let's assume that you want to run MS Windows Solitaire. Under MS-DOS, you
had installed MS Windows on your C: drive under the subdirectory /WINDOWS.
Under Unix, you have mounted the C: drive under /dos/c.  To run MS Windows
Solitaire, you would type: 

	wine /dos/c/windows/sol.exe

4.7	I have installed and configured Wine, but Wine cannot find MS 
	Windows on my drive.  Where did I go wrong?

First, make sure you have mounted your MS-DOS partition into your Unix
filesystem, either by putting the entry into /etc/fstab, or by manually
mounting it.  Remember, it must not be located on a Doublespaced or
Stackered partition, as neither Linux, FreeBSD, NetBSD or Wine cannot
currently 'see' files located in such compressed DOS partitions. 

Next, check your path statements in the 'wine.conf' file.  No capital
letters may be used in paths, as they are automatically converted to
lowercase. 

4.8	I think I've found a bug.  How do I report this bug to the Wine
	programming team?
 
Bug reports should be sent to [email-masked].  These will be forwarded
to the developers mailing list (see questions 5.4 to 5.6) and to the
Usenet newsgroup comp.emulators.ms-windows.wine. 

4.9	I was able to get various MS Windows programs to run, but their 
	menus do not work.  What is wrong?

Wine is not complete at this time, so the menus may not work.  They will
in time as more of the MS Windows API calls are included in Wine. 

4.10	I have run various MS Windows programs but since the program menus 
	do not work, how can I exit these programs?

Kill the shell window that you called up to run your MS Windows program,
and the X window that appeared with the program will be killed too. 

4.11	How do I remove Wine from my computer?

All you have to do is to type:

	rm -fR [/path/]Wine*

Make sure you specify the exact path when using the powerful 'rm -fR'
command.  If you are afraid you might delete something important, or might
otherwise delete other files within your filesystem, change into each Wine
subdirectory singly and delete the files found there manually, one file or
directory at a time.  Neither the Wine programmers nor the Wine FAQ
author/maintainer can be held responsible for your deleting any files in
your filesystem. 

				Section 5
			     How To Get Help

5.1	Is there a Usenet newsgroup for Wine?

Yes.  It's called comp.emulators.ms-windows.wine, and the newsgroup's
charter states that it will consist of announcements and discussion about
Wine.  The newsgroup serves as a place for developers to discuss Wine, and
for minor announcements for the general public.  Major announcements will
be crossposted to other appropriate groups, such as the newsgroups
comp.os.linux.announce, comp.windows.x.announce and
comp.emulators.announce. 

If your Usenet site does not carry this new newsgroup, please urge your
sysadmin and/or uplink to add it. 

5.2	Is there a gopher site set up for Wine?

To the best of my knowledge at the time of this writing, no. If you are
installing or maintain a Gopher site pertaining to Wine, please contact
the FAQ author/maintainer as noted in question 7.2 for inclusion in the
next edition of the Wine FAQ. 

5.3	Is there a WWW site set up for Wine information?

Here are the URLs for a few sites reachable by the World Wide Web server: 

	http://www.thepoint.com/linux/ALPHA/wine/index.html
	http://daedalus.dra.hmg.gb/gale/wine/wine.html

If you are installing or maintain a WWW page pertaining to Wine, please
inform the FAQ author/maintainer as detailed in 7.2 for inclusion in the
next edition of the Wine FAQ. 

5.4	Is there a mailing list for Wine?

There is a developers-only mailing list, whose contents are planned to be
ported into comp.emulators.ms-windows.wine.  If you are a Wine developer,
or want to become one, you are welcome to join the list.  Please contact
Bob Amstadt <[email-masked]> for further information about the
wine-developers mailing list. 

Those with a general interest in Wine should participate in the newsgroup
as detailed in question 5.1. 

				Section 6
			    How You Can Help

6.1	How can I help contribute to the Wine project, and in what way(s)?

Although the Wine programming team has received some new donations of
money and equipment, they can always put more to good use.  Current plans
call for the use of monetary donations to buy programming time from
student programmers, as coding help is also needed. 

Monetary and equipment donations should be sent to: 

	Bob Amstadt
	5059 Wayland Ave.
	San Jose, CA 95118 
	USA

Those willing to donate their programming skills should do three things: 

	a)  Join the developers mailing list (see questions 5.4 to 5.6).

	b)  Read the files DEVELOPERS-HINTS, NEWBIE-PROJECTS and RELEASE, 
	    which are available from the ftp sites listed in question 
	    4.1 of this FAQ.

	c)  Contact Wine project manager Bob Amstadt <[email-masked]> if 
	    you have any further questions after doing all the above.

New releases of Wine are made available to developers nearly every
Tuesday, and all releases are announced to the mailing list. 

6.2	I want to help beta test Wine.  How can I do this?

Beta testers are currently not needed, as Wine is still Alpha code at this
time.  However, anyone is welcome to download the latest version and try
it out at any time. 

6.3	I have written some code that I would like to submit to the Wine 
	project. How do I go about doing this?

A mail alias, [email-masked], has been created specifically for this
purpose.  Please use this mail alias when submitting weekly code
contributions to the Wine project.  This alias has been set up to
automatically send you a reply when your submissio n is received. 

However, you should still verify that your code was included in the
subsequent release of Wine, as project managers cannot guarantee that the
mail server will not suffer some computer failure that will cause loss of
your message and code after it is recei ved. 

				Section 7
		      Who is Responsible for Wine

7.1	Who is responsible for writing and maintaining the Wine source code?

People who have generously donated time to the Wine project include Bob
Amstadt, Martin Ayotte, Erik Bos, John Brezak, Andrew Bulhak, John Burton,
Peter Galbavy, Jeffery Hsu, Miguel de Icaza, Alexandre Julliard, Scott A.
Laird, Peter MacDonald, David Metcalfe, John Richardson, Johannes
Ruscheinski, Yngvi Sigurjonsson, Linus Torvalds, Carl Williams, Karl
Guenter Wuensch, and Eric Youngdale. 

7.2	Who is responsible for writing and maintaining the Wine FAQ?

The original Wine FAQ author is Dave Gardner <[email-masked]>.  The
FAQ is now being maintained by the same person with a new account, Dave
Gardner <[email-masked]>, who is not connected with the Wine project in
any way but as the FAQ author/maintainer.  Technical questions about the
Wine project should be posted to the newsgroup, and any such questions
sent to the FAQ author/maintainer will be rerouted appropriately. 
Senseless flames will be trashed. 

7.3	Who are the folks and organizations who have contributed money 
	or equipment to the Wine project?

People and organizations who have given generous contributions of money
and equipment include David L. Harper, Bob Hepple, Mark A. Horton, Kevin
P. Lawton, the Syntropy Institute, and James Woulfe. 

==============================[ end ]==================================